API

Software Architecture

product_line_custom
Napatech SmartNIC
category
Overview Document

API compatibility

In Napatech Software Suite only one version of each structure in the data path is supported.

To be able to support applications compiled with older version of Napatech Software Suite in the future, all application must call the NT_Init function (see DN-0449) with the NTAPI_VERSION definition. In this way Napatech Software Suite knows which version of the API the application has been compiled with, and is able to return the correct version of each structure.

If the version is not supported, NT_Init returns an error. But if NT_Init succeeds, the application is compatible with loaded version of Napatech Software Suite.